{% extends 'users/auth.html' %}

{% block content %}
	<form method="post" action="/join/">
		{% csrf_token %}
		<div class="reg" id="qrcode"></div>
		{% for field in form %}
			<div class="input-field">
				{% if 'password' in field.name %}
					<input type="password" name="{{ field.name }}" required>
				{% else %}
					<input type="text" name="{{ field.name }}" required>
				{% endif %}
				<span class="highlight"></span>
				<span class="bar"></span>
				<label>{{ field.label }}</label>
			</div>
		{% endfor %}
		<button class="button single" type="submit">Зарегистрироваться</button>
	</form>
	<script>
		var url = new URL(window.location.href);
		$('input[name=key]').val(url.searchParams.get("k"));

		$('#qrcode').qrcode({width:230, height:230, text:window.location.href});

		$(function() {
			$("form").submit(function(e) {
				e.preventDefault();
				var form = $(this);
				var posting = $.post(form.attr('action'), form.serialize());
				posting.done(function(data) {
					modalMessage(data);
					window.location = '/auth';
				});
				posting.fail(function(data) {
					modalMessage(data['responseText']);
					$("form input[type='password']").val('');
				});
			});
		});
	</script>
{% endblock %}
